<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>JField.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Code Coverage for Zookeeper manuall provided Classes</a> &gt; <a href="index.source.html" class="el_package">org.apache.jute.compiler</a> &gt; <span class="el_source">JField.java</span></div><h1>JField.java</h1><pre class="source lang-java linenums">/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.jute.compiler;

/**
 *
 */
public class JField {
    private JType mType;
    private String mName;
    /**
     * Creates a new instance of JField
     */
<span class="nc" id="L30">    public JField(JType type, String name) {</span>
<span class="nc" id="L31">        mType = type;</span>
<span class="nc" id="L32">        mName = name;</span>
<span class="nc" id="L33">    }</span>
    
    public String getSignature() {
<span class="nc" id="L36">        return mType.getSignature();</span>
    }
    
    public String genCppDecl() {
<span class="nc" id="L40">        return mType.genCppDecl(mName);</span>
    }
    
	public String genCDecl() {
<span class="nc" id="L44">		return mType.genCDecl(mName);</span>
	}

    public String genCsharpDecl() {
<span class="nc" id="L48">        return mType.genCsharpDecl(mName);</span>
    }

    public String genCsharpConstructorParam(String fname) {
<span class="nc" id="L52">        return mType.genCsharpConstructorParam(fname);</span>
    }
	
    public String genJavaDecl() {
<span class="nc" id="L56">        return mType.genJavaDecl(mName);</span>
    }
    
    public String genJavaConstructorParam(String fname) {
<span class="nc" id="L60">        return mType.genJavaConstructorParam(fname);</span>
    }
    
    public String getName() {
<span class="nc" id="L64">        return mName;</span>
    }

    public String getCsharpName() {
<span class="nc bnc" id="L68" title="All 2 branches missed.">        return &quot;Id&quot;.equals(mName) ? &quot;ZKId&quot; : mName;</span>
    }
    
    public String getTag() {
<span class="nc" id="L72">        return mName;</span>
    }
    
    public JType getType() {
<span class="nc" id="L76">        return mType;</span>
    }
    
    public String genCppGetSet(int fIdx) {
<span class="nc" id="L80">        return mType.genCppGetSet(mName, fIdx);</span>
    }

    public String genCsharpConstructorSet(String fname) {
<span class="nc" id="L84">        return mType.genCsharpConstructorSet(mName, fname);</span>
    }

    public String genCsharpGetSet(int fIdx) {
<span class="nc" id="L88">        return mType.genCsharpGetSet(getCsharpName(), fIdx);</span>
    }

    public String genCsharpWriteMethodName() {
<span class="nc" id="L92">        return mType.genCsharpWriteMethod(getCsharpName(), getTag());</span>
    }

    public String genCsharpReadMethodName() {
<span class="nc" id="L96">        return mType.genCsharpReadMethod(getCsharpName(), getTag());</span>
    }

    public String genCsharpCompareTo() {
<span class="nc" id="L100">        return mType.genCsharpCompareTo(getCsharpName());</span>
    }

    public String genCsharpEquals() {
<span class="nc" id="L104">        return mType.genCsharpEquals(getCsharpName(), &quot;peer.&quot;+getCsharpName());</span>
    }

    public String genCsharpHashCode() {
<span class="nc" id="L108">        return mType.genCsharpHashCode(getCsharpName());</span>
    }

    
    public String genJavaGetSet(int fIdx) {
<span class="nc" id="L113">        return mType.genJavaGetSet(mName, fIdx);</span>
    }
    
    public String genJavaWriteMethodName() {
<span class="nc" id="L117">        return mType.genJavaWriteMethod(getName(), getTag());</span>
    }
    
    public String genJavaReadMethodName() {
<span class="nc" id="L121">        return mType.genJavaReadMethod(getName(), getTag());</span>
    }
    
    public String genJavaCompareTo() {
<span class="nc" id="L125">        return mType.genJavaCompareTo(getName());</span>
    }
    
    public String genJavaEquals() {
<span class="nc" id="L129">        return mType.genJavaEquals(getName(), &quot;peer.&quot;+getName());</span>
    }
    
    public String genJavaHashCode() {
<span class="nc" id="L133">        return mType.genJavaHashCode(getName());</span>
    }

    public String genJavaConstructorSet(String fname) {
<span class="nc" id="L137">        return mType.genJavaConstructorSet(mName, fname);</span>
    }

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.7.201606060606</span></div></body></html>